# Package org.jboss.netty.handler.queue

The special-purpose handlers that store an event into an internal queue instead of propagating the event immediately.

See: Description

Class Summary
Class | Description
--- | ---
BlockingReadHandler<E> | Emulates blocking read operation.
BufferedWriteHandler | Emulates buffered write operation.

Exception Summary
Exception | Description
--- | ---
BlockingReadTimeoutException | A `IOException` raised by `BlockingReadHandler` when no data was read within a certain period of time.

## Package org.jboss.netty.handler.queue Description

The special-purpose handlers that store an event into an internal queue instead of propagating the event immediately.